<template>
  <div>
    <h2 class="questionNumber">Question {{ questionIndex + 1 }}</h2>
    <h3 class="question">{{ decodeQuestion(currentQuestion) }}</h3>
  </div>
</template>

<script>
import decode from "../../utils/decode";
import { mapGetters, mapState } from "vuex";

export default {
  name: "QuestionPageQuestion",
  computed: {
    ...mapState(["questionIndex"]),
    ...mapGetters(["currentQuestion"]),
  },

  methods: {
    decodeQuestion(question) {
      return decode(question);
    },
  },
};
</script>

<style>
.questionNumber,
.question {
  text-align: center;
}
</style>